Subject: Re: [PATCH v2 4/5] Makefile: add the ".DELETE_ON_ERROR" flag

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Mar 2021 11:51:04 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Use the GNU make ".DELETE_ON_ERROR" flag.

Yay!

With versions of $(MAKE) where this feature is available, it is far
more preferrable to use it than "generate into temporary and rename
to the final" dance.

We do require / depend on GNU but I do not offhand know if this is
available in all versions that still matter.  If we know we can
assume the presence of this feature the I do not mind if we jump
directly to this step without those "do the same for $(CC)" steps
(which I deem crazy) before it.